Get outreach campaign fields for a contact
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId} \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre"
},
"status": "pending",
"reach": "full",
"dispatched_at": "2023-11-07T05:31:56Z",
"responded": true,
"responded_at": "2023-11-07T05:31:56Z",
"ticket_fields": [
{
"key": "rut",
"name": "RUT",
"value": "11111111-1"
}
],
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 123,
"kind": "send-template",
"name": "<string>",
"status": "pending",
"reason": "<string>",
"at": "2023-11-07T05:31:56Z"
}
]
}
]
}Deprecated
Get outreach campaign fields for a contact (Deprecated)
deprecated
[DEPRECATED] Use List a contactβs campaigns (GET /api/public/outreach-campaign/by-contact/) instead.
GET
/
api
/
public
/
outreach-campaign
/
recipients
/
by-contact
/
{contactId}
Get outreach campaign fields for a contact
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId} \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign/recipients/by-contact/{contactId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre"
},
"status": "pending",
"reach": "full",
"dispatched_at": "2023-11-07T05:31:56Z",
"responded": true,
"responded_at": "2023-11-07T05:31:56Z",
"ticket_fields": [
{
"key": "rut",
"name": "RUT",
"value": "11111111-1"
}
],
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 123,
"kind": "send-template",
"name": "<string>",
"status": "pending",
"reason": "<string>",
"at": "2023-11-07T05:31:56Z"
}
]
}
]
}Was this page helpful?
